//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

// function to fetch course data from the API

export async function fetchEventTypes(): Promise<string[]> {
  if (import.meta.env.SSR) {
    return [];
  }
  const eventTypes: string[] = [];
  await fetch("/api/events/types")
    .then((response) => {
      return response.json() as Promise<string[]>;
    })
    .then((responseModules: string[]) => {
      responseModules.forEach((eventType: string) => {
        eventTypes.push(eventType);
      });
    });
  return eventTypes;
}
