//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

import { Module } from "../model/module";

export async function fetchModule(module: Module): Promise<Module> {
  if (import.meta.env.SSR) {
    return new Module("", "", "", "", "", "", "", false, []);
  }
  // request to the data-manager on /api/module with query parameters name as the module name
  const request = new Request("/api/module?uuid=" + module.uuid);

  return await fetch(request)
    .then((response) => {
      return response.json();
    })
    .then(
      (module: Module) =>
        new Module(
          module.uuid,
          module.name,
          module.course,
          module.eventType,
          module.name,
          module.prof,
          module.semester,
          false,
          module.events,
        ),
    );
}
