//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

package model

import (
	"github.com/pocketbase/pocketbase/models"
	"github.com/pocketbase/pocketbase/tools/types"
)

type Feed struct {
	Modules   string         `db:"modules" json:"modules"`
	Retrieved types.DateTime `db:"retrieved" json:"retrieved"`
	Deleted   bool           `db:"deleted" json:"deleted"`
	models.BaseModel
}

func (f *Feed) TableName() string {
	return "feeds"
}

// SetModules set modules field
func (f *Feed) SetModules(modules string) {
	f.Modules = modules
}
