package model

import (
	"github.com/pocketbase/pocketbase/models"
	"github.com/pocketbase/pocketbase/tools/types"
	"testing"
)

func TestFeedSetModules(t *testing.T) {
	type fields struct {
		Modules   string
		Retrieved types.DateTime
		BaseModel models.BaseModel
	}
	type args struct {
		modules string
	}
	tests := []struct {
		name   string
		fields fields
		args   args
	}{
		{
			name: "set modules",
			fields: fields{
				Modules:   "",
				Retrieved: types.DateTime{},
				BaseModel: models.BaseModel{},
			},
			args: args{
				modules: "modules",
			},
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			f := &Feed{
				Modules:   tt.fields.Modules,
				Retrieved: tt.fields.Retrieved,
				BaseModel: tt.fields.BaseModel,
			}
			f.SetModules(tt.args.modules)
		})
	}
}
