//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

package model

import (
	"time"
)

// FeedModel is an iCal feed
type FeedModel struct {
	Content   string
	ExpiresAt time.Time
	Semester  string
	Course    string
}

// Entry is a time entry
type Entry struct {
	DateStart   time.Time `json:"dateStart"`
	DateEnd     time.Time `json:"dateEnd"`
	Description string    `json:"description"`
}

// Entries is a collection of entries
type Entries []*Entry

type FeedCollection struct {
	UUID            string `db:"uuid" json:"uuid"`
	Name            string `db:"Name" json:"name"`
	Course          string `db:"course" json:"course"`
	UserDefinedName string `db:"userDefinedName" json:"userDefinedName"`
	Reminder        bool   `db:"reminder" json:"reminder"`
}
