//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

package events

import (
	"reflect"
	"testing"
)

func TestRemoveEmptyCourses(t *testing.T) {
	type args struct {
		courses []string
	}
	tests := []struct {
		name string
		args args
		want []string
	}{
		{
			name: "Test remove empty courses",
			args: args{
				courses: []string{"", "test", "test2", ""},
			},
			want: []string{"test", "test2"},
		},
		{
			name: "Test remove empty courses",
			args: args{
				courses: []string{"", "test", "test2", "", "test3"},
			},
			want: []string{"test", "test2", "test3"},
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if got := removeEmptyCourses(tt.args.courses); !reflect.DeepEqual(got, tt.want) {
				t.Errorf("removeEmptyCourses() = %v, want %v", got, tt.want)
			}
		})
	}
}
